<!DOCTYPE html>
<html>
<head>
	<title>ADDYdb - Make a friend</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="/bs/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="/bs/js/bootstrap.min.js"></script>	
</head>
<body>
<div class="container">
<div class="page-header">
<h2><span class="glyphicon glyphicon-phone-alt"></span> ADDYdb <span class="glyphicon glyphicon-plus"></span> Make a friend </h2>
<h4>Teledex for the 21st Century</h4>
<a class="btn btn-primary" href="index.php"><span class="glyphicon glyphicon-home"></span> HOME</a>
</div>

<form method="post" action="add.php" name="newfriend">
	<div class="form-group">
  		<label for="sn">Surname:</label>
  		<input type="text" name="sname" required class="form-control" id="sn">
	</div>
	<div class="form-group">
  		<label for="fn">First Name:</label>
  		<input type="text" name="fname" required class="form-control" id="fn">
	</div>
	<div class="form-group">
  		<label for="ph">Phone Number:</label>
  		<input type="number" name="phnum" required class="form-control" id="ph">
	</div>
	<p><input class="btn btn-success" type="submit" name="submit" value="ADD Friend"></p>
</form>

<?php
if(isset($_POST['submit'])){

	//authenticate
	require ('connect.php');

	//get user input, clean it a little also
	$sn = trim(stripslashes(htmlspecialchars($_POST['sname'])));
	$fn = trim(stripslashes(htmlspecialchars($_POST['fname'])));
	$ph = $_POST['phnum'];

	//insert it safely
	DB::insert('friends', array(
	  'sname' => $sn,
	  'fname' => $fn,
	  'phnum' => $ph
	));

	//confirmation
	echo '<p>Friend successfully added</p>';
}

?>
<h5>ADDYdb - a simple PHP/MySQL/MeekroDB/Bootstrap database by PDub &copy;2019</h5>
</div>
</body>
</html>