<!DOCTYPE html>
<html>
<head>
	<title>ADDYdb - My Friends</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="/bs/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="/bs/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container"> 
<div class="page-header">
  <h2><span class="glyphicon glyphicon-phone-alt"></span> ADDYdb <span class="glyphicon glyphicon-list"></span> List friends </h2>
  <h4>Teledex for the 21st Century</h4>
  <a class="btn btn-primary" href="index.php"><span class="glyphicon glyphicon-home"></span> HOME</a>
</div>

<?php
//db authentication
require ('connect.php');

//issue query - catch answer table
$getall = DB::query('select fname,sname,phnum 
                     from friends 
                     order by sname');

//plate it up
if (!$getall)
{
  echo '<p>No data to show, sorry</p>';
}
else
{
  echo '<div class="panel panel-default">
  <!-- Default panel contents -->
  <div class="panel-heading">My Friends</div>
  <div class="panel-body">
    <p>This contact list is current to '.date("Y-m-d H:i:s").'</p>
  </div>';


  echo '<table class="table table-striped">';
  echo '<tr><th>Firstname</th><th>Surname</th><th>Phone Number</th></tr>';
  foreach ($getall as $row) {
      echo '<tr><td>'.$row['fname'].'</td>
            <td>'.$row['sname'].'</td>
            <td>'.$row['phnum'].'</td>
            </tr>';
  }
  echo '</table>
  </div>';

}
?>
<h5>ADDYdb - a simple PHP/MySQL/MeekroDB/Bootstrap database by PDub &copy;2019</h5>
</div>
</body>
</html>