<!DOCTYPE html>
<html>
<head>
	<title>ADDYdb - Phone a friend</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="/bs/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="/bs/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container"> 
<div class="page-header">
<h2><span class="glyphicon glyphicon-phone-alt"></span> ADDYdb <span class="glyphicon glyphicon-zoom-in"></span> Phone a friend</h2>
<h4>Teledex for the 21st Century</h4>
<a class="btn btn-primary" href="index.php"><span class="glyphicon glyphicon-home"></span> HOME</a>
</div>

<?php
  //db authentication
  require ('connect.php');

  //go get valid fids
  $fids = DB::query('select concat(fname," ",sname) as fname,fid
                    from friends');
?>

<form method="post" action="listone.php" name="pickafriend" onchange="submit();">
  <div class="form-group">
    <label for="picker">Select a Friend:</label>
    <select class="form-control" name="who" id="picker">
      echo '<option selected disabled>Pick Someone</option>';
      <?php
        //populate the option list with valid fids
        foreach ($fids as $item) {
          $i = $item['fid'];
          $f = $item['fname'];
          echo '<option value="'.$i.'">'.$f.'</option>';
        }
      ?>
    </select>
  </div>
  <noscript><input type="submit" value="submit"></noscript>
</form>


<?php
//check to see user has chosen someones id 
if(isset($_POST['who'])){

  //retrieve which FID to view
  $who = $_POST['who'];

  //retrieve that friends data
  $friend = DB::queryFirstRow('select *
                            from friends 
                            where fid ='.$who);

  //plate it up
  echo '<div class="jumbotron">';
  if (!$friend)
  {
    echo '<p>No friend with that number, sorry</p>';
  }
  else
  {
    //plate up friend	
    echo '<h3>';
    echo 'Name: '. $friend['fname'] .' '. $friend['sname'] . '<br />';
    echo 'Phone Number: '. $friend['phnum'] . '</h3>';
  }
  echo '</div>';
}
?>
<h5>ADDYdb - a simple PHP/MySQL/MeekroDB/Bootstrap database by PDub &copy;2019</h5>
</div>
</body>
</html>