<!DOCTYPE html>
<html>
<head>
	<title>ADDYdb - SEARCH</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="/bs/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="/bs/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container"> 
<div class="page-header">
  <h2><span class="glyphicon glyphicon-phone-alt"></span> ADDYdb <span class="glyphicon glyphicon-search"></span> SEARCH</h2>
  <h4>Teledex for the 21st Century</h4>
  <a class="btn btn-primary" href="index.php"><span class="glyphicon glyphicon-home"></span> HOME</a>
</div>

<form method="post" action="search.php" name="findafriend">
  <div class="form-group">
      <label for="huh">Search for what:</label>
      <input type="text" name="what" required class="form-control" autofocus id="huh">
  </div>
  <p><input class="btn btn-success" type="submit" name="submit" value="LOOK for a Friend"></p>
</form>
<?php
if (isset($_POST['submit'])) {
  //db authentication
  require ('connect.php');

  //go get search term
  $what = trim(stripslashes(htmlspecialchars($_POST['what'])));
  echo '<p>Searched Firstnames and Surnames for: <i>"'.$what.'"</i></p>';

  //issue query - catch answer table
  //lower() KLUDGES necessary to ensure case insensitivity
  $getany = DB::query('select fname,sname,phnum 
                       from friends
                       where lower(fname) like lower("%'.$what.'%")
                       or lower(sname) like lower("%'.$what.'%")  
                       order by sname');

  //plate it up
  if (!$getany)
  {
    echo '<p>No friends match your search information, sorry - you may need to get out more?</p>';
  }
  else
  {
    echo '<p>Found Friends:</p>';
    echo '<table class="table table-striped">';
    echo '<tr><th>Firstname</th><th>Surname</th><th>Phone Number</th></tr>';
    foreach ($getany as $row) {
        echo '<tr><td>'.$row['fname'].'</td>
              <td>'.$row['sname'].'</td>
              <td>'.$row['phnum'].'</td>
              </tr>';
    }
    echo '</table>';
  }

}

?>
<h5>ADDYdb - a simple PHP/MySQL/MeekroDB/Bootstrap database by PDub &copy;2019</h5>
</div>
</body>
</html>